Modify

Ticket #4382 (closed Patches: fixed)

Opened 4 years ago

Last modified 4 years ago

asio::buffers_iterator breaks _GLIBCXX_CONCEPT_CHECKS

Reported by: Serge Pavlovsky <pal666@…> Owned by: chris_kohlhoff
Milestone: Boost 1.44.0 Component: asio
Version: Boost 1.44.0 Severity: Problem
Keywords: Cc:

Description

it doesn't have operator+(std::ptrdiff_t difference, const buffers_iterator& iter)

the fix is simple:

friend buffers_iterator operator+(std::ptrdiff_t difference,

const buffers_iterator& iter)

{

return iter + difference;

}

Attachments

Change History

comment:1 Changed 4 years ago by chris_kohlhoff

(In [63592]) Add missing operator+ overload. Refs #4382.

comment:2 Changed 4 years ago by chris_kohlhoff

  • Status changed from new to closed
  • Resolution set to fixed

(In [63682]) Merged from trunk.

........

r63568 | chris_kohlhoff | 2010-07-04 16:49:18 +1000 (Sun, 04 Jul 2010) | 2 lines

Fix coroutine macros to work with MSVC's edit-and-continue debug settings.

........

r63569 | chris_kohlhoff | 2010-07-04 16:53:57 +1000 (Sun, 04 Jul 2010) | 2 lines

Reworked timeout examples.

........

r63570 | chris_kohlhoff | 2010-07-04 16:57:32 +1000 (Sun, 04 Jul 2010) | 2 lines

Ensure arguments to handlers are passed as const types.

........

r63571 | chris_kohlhoff | 2010-07-04 17:19:30 +1000 (Sun, 04 Jul 2010) | 2 lines

Fences for arm.

........

r63572 | chris_kohlhoff | 2010-07-04 17:20:18 +1000 (Sun, 04 Jul 2010) | 2 lines

Fences for arm.

........

r63573 | chris_kohlhoff | 2010-07-04 17:21:24 +1000 (Sun, 04 Jul 2010) | 2 lines

Fix forward declaration.

........

r63574 | chris_kohlhoff | 2010-07-04 17:23:27 +1000 (Sun, 04 Jul 2010) | 2 lines

Add cancellation of reactor operations.

........

r63575 | chris_kohlhoff | 2010-07-04 17:26:36 +1000 (Sun, 04 Jul 2010) | 2 lines

Fixes in non_blocking_read.

........

r63576 | chris_kohlhoff | 2010-07-04 17:28:20 +1000 (Sun, 04 Jul 2010) | 2 lines

Make more tolerant of different platform sdk variants.

........

r63577 | chris_kohlhoff | 2010-07-04 17:37:42 +1000 (Sun, 04 Jul 2010) | 2 lines

Eliminate unnecessary uses of hash_map.

........

r63578 | chris_kohlhoff | 2010-07-04 17:43:23 +1000 (Sun, 04 Jul 2010) | 2 lines

Point docs at new timeout examples.

........

r63592 | chris_kohlhoff | 2010-07-04 23:11:14 +1000 (Sun, 04 Jul 2010) | 2 lines

Add missing operator+ overload. Fixes #4382.

........

r63594 | chris_kohlhoff | 2010-07-04 23:42:41 +1000 (Sun, 04 Jul 2010) | 2 lines

Fix unused parameters.

........

r63646 | chris_kohlhoff | 2010-07-05 17:43:22 +1000 (Mon, 05 Jul 2010) | 2 lines

Add missing parameter.

........

View

Add a comment

Modify Ticket

Change Properties
<Author field>
Action
as closed
The resolution will be deleted. Next status will be 'reopened'
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.